Index: tests/regression/Simple_configuration/2/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/2/post/test.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/2/post/test.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,3 +1,3 @@
 1
 	Created by molecuilder on Tue Oct  6 18:34:23 2009
-H	10	10	10	
+H	10	10	10
Index: tests/regression/Simple_configuration/3/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/3/post/test.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/3/post/test.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,3 +1,3 @@
 1
 	Created by molecuilder on Tue Oct  6 18:34:23 2009
-H	10	10	10	
+H	10	10	10
Index: tests/regression/Simple_configuration/4/post/test.conf
===================================================================
--- tests/regression/Simple_configuration/4/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/4/post/test.conf	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	1	# check every ..th steps
+MaxMinStopStep	2	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinStopStep	2	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -54,8 +54,8 @@
 Level0Factor	2	# factor by which node number increases from S to 0 level
 RiemannTensor	0	# (Use metric)
-PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
-MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
-PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	2	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	2	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	2	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Simple_configuration/4/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/4/post/test.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/4/post/test.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,3 +1,3 @@
 1
 	Created by molecuilder on Tue Oct  6 18:31:23 2009
-C	10	10	10	
+C	10	10	10
Index: tests/regression/Simple_configuration/5/post/test.conf
===================================================================
--- tests/regression/Simple_configuration/5/post/test.conf	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/5/post/test.conf	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -35,5 +35,5 @@
 RelEpsTotalE	1e-07	# relative change in total energy
 RelEpsKineticE	1e-05	# relative change in kinetic energy
-MaxMinStopStep	1	# check every ..th steps
+MaxMinStopStep	0	# check every ..th steps
 MaxMinGapStopStep	1	# check every ..th steps
 
@@ -42,5 +42,5 @@
 InitRelEpsTotalE	1e-05	# relative change in total energy
 InitRelEpsKineticE	0.0001	# relative change in kinetic energy
-InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinStopStep	0	# check every ..th steps
 InitMaxMinGapStopStep	1	# check every ..th steps
 
@@ -54,8 +54,8 @@
 Level0Factor	2	# factor by which node number increases from S to 0 level
 RiemannTensor	0	# (Use metric)
-PsiType		1	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
 MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
 PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
-PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
 AddPsis		0	# Additional unoccupied Psis for bandgap determination
 
Index: tests/regression/Simple_configuration/8/post/test.conf.xyz
===================================================================
--- tests/regression/Simple_configuration/8/post/test.conf.xyz	(revision 274d45ac1a71ab65f0579050d6a972f174caf5e2)
+++ tests/regression/Simple_configuration/8/post/test.conf.xyz	(revision 35b6985cb4b968c855916ec0ced6e74b690ac7b1)
@@ -1,146 +1,146 @@
 144
 	Created by molecuilder on Mon May 31 18:50:20 2010
-H	9.78209	2.64589	2.64589	
-H	9.78209	2.64589	4.42589	
-H	10.672	3.90454	3.53589	
-H	8.53279	4.78789	2.64589	
-H	8.53279	4.78789	4.42589	
-H	6.39363	3.90454	3.53589	
-H	7.28359	2.64589	2.64589	
-H	7.28359	2.64589	4.42589	
-H	0.758602	2.85714	3.86571	
-H	0.758602	2.85714	2.85714	
-H	0.758602	2.85714	5.71429	
-H	0.758602	5.71429	3.86571	
-H	0.758602	5.71429	2.85714	
-H	3.61574	0	1.00857	
-H	3.61574	0	0	
-H	3.61574	0	3.86571	
-H	3.61574	0	2.85714	
-H	3.61574	0	6.72285	
-H	3.61574	0	5.71429	
-H	3.61574	2.85714	1.00857	
-H	3.61574	2.85714	0	
-H	3.61574	2.85714	3.86571	
-H	3.61574	2.85714	2.85714	
-H	3.61574	2.85714	6.72285	
-H	3.61574	2.85714	5.71429	
-H	3.61574	2.85714	8.57143	
-H	3.61574	5.71429	1.00857	
-H	3.61574	5.71429	0	
-H	3.61574	5.71429	3.86571	
-H	3.61574	5.71429	2.85714	
-H	3.61574	5.71429	6.72285	
-H	3.61574	5.71429	5.71429	
-H	3.61574	5.71429	8.57143	
-H	3.61574	8.57143	1.00857	
-H	3.61574	8.57143	3.86571	
-H	3.61574	8.57143	2.85714	
-H	3.61574	8.57143	5.71429	
-H	6.47289	0	1.00857	
-H	6.47289	0	0	
-H	6.47289	0	3.86571	
-H	6.47289	0	2.85714	
-H	6.47289	0	6.72285	
-H	6.47289	0	5.71429	
-H	6.47289	0	9.58	
-H	6.47289	0	8.57143	
-H	6.47289	2.85714	0	
-H	6.47289	2.85714	6.72285	
-H	6.47289	2.85714	9.58	
-H	6.47289	2.85714	8.57143	
-H	6.47289	5.71429	1.00857	
-H	6.47289	5.71429	0	
-H	6.47289	5.71429	6.72285	
-H	6.47289	5.71429	5.71429	
-H	6.47289	5.71429	9.58	
-H	6.47289	5.71429	8.57143	
-H	6.47289	8.57143	1.00857	
-H	6.47289	8.57143	0	
-H	6.47289	8.57143	3.86571	
-H	6.47289	8.57143	2.85714	
-H	6.47289	8.57143	6.72285	
-H	6.47289	8.57143	5.71429	
-H	9.33003	0	1.00857	
-H	9.33003	0	0	
-H	9.33003	0	3.86571	
-H	9.33003	0	2.85714	
-H	9.33003	0	6.72285	
-H	9.33003	0	5.71429	
-H	9.33003	0	8.57143	
-H	9.33003	2.85714	0	
-H	9.33003	2.85714	6.72285	
-H	9.33003	2.85714	9.58	
-H	9.33003	2.85714	8.57143	
-H	9.33003	5.71429	0	
-H	9.33003	5.71429	6.72285	
-H	9.33003	5.71429	9.58	
-H	9.33003	5.71429	8.57143	
-H	9.33003	8.57143	1.00857	
-H	9.33003	8.57143	0	
-H	9.33003	8.57143	3.86571	
-H	9.33003	8.57143	2.85714	
-H	9.33003	8.57143	6.72285	
-H	9.33003	8.57143	5.71429	
-H	12.1872	0	1.00857	
-H	12.1872	0	0	
-H	12.1872	0	3.86571	
-H	12.1872	0	2.85714	
-H	12.1872	0	6.72285	
-H	12.1872	0	5.71429	
-H	12.1872	2.85714	1.00857	
-H	12.1872	2.85714	0	
-H	12.1872	2.85714	6.72285	
-H	12.1872	2.85714	5.71429	
-H	12.1872	5.71429	1.00857	
-H	12.1872	5.71429	0	
-H	12.1872	5.71429	3.86571	
-H	12.1872	5.71429	2.85714	
-H	12.1872	5.71429	6.72285	
-H	12.1872	5.71429	5.71429	
-C	9.78209	3.27519	3.53589	
-C	8.53279	4.15859	3.53589	
-C	7.28359	3.27519	3.53589	
-O	2.85714	0	0.504284	
-O	2.85714	0	3.36143	
-O	2.85714	0	6.21857	
-O	2.85714	2.85714	0.504284	
-O	2.85714	2.85714	3.36143	
-O	2.85714	2.85714	6.21857	
-O	2.85714	5.71429	0.504284	
-O	2.85714	5.71429	3.36143	
-O	2.85714	5.71429	6.21857	
-O	2.85714	8.57143	3.36143	
-O	5.71429	0	0.504284	
-O	5.71429	0	3.36143	
-O	5.71429	0	6.21857	
-O	5.71429	0	9.07571	
-O	5.71429	2.85714	0.504284	
-O	5.71429	2.85714	6.21857	
-O	5.71429	2.85714	9.07571	
-O	5.71429	5.71429	0.504284	
-O	5.71429	5.71429	6.21857	
-O	5.71429	5.71429	9.07571	
-O	5.71429	8.57143	0.504284	
-O	5.71429	8.57143	3.36143	
-O	5.71429	8.57143	6.21857	
-O	8.57143	0	0.504284	
-O	8.57143	0	3.36143	
-O	8.57143	0	6.21857	
-O	8.57143	0	9.07571	
-O	8.57143	2.85714	0.504284	
-O	8.57143	2.85714	9.07571	
-O	8.57143	5.71429	0.504284	
-O	8.57143	5.71429	9.07571	
-O	8.57143	8.57143	0.504284	
-O	8.57143	8.57143	3.36143	
-O	8.57143	8.57143	6.21857	
-O	11.4286	0	0.504284	
-O	11.4286	0	3.36143	
-O	11.4286	0	6.21857	
-O	11.4286	2.85714	0.504284	
-O	11.4286	2.85714	6.21857	
-O	11.4286	2.85714	9.07571	
-O	11.4286	5.71429	0.504284	
-O	11.4286	5.71429	6.21857	
-O	11.4286	8.57143	3.36143	
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+H	0.758602	2.85714	3.86571
+H	0.758602	2.85714	2.85714
+H	0.758602	2.85714	5.71429
+H	0.758602	5.71429	3.86571
+H	0.758602	5.71429	2.85714
+H	3.61574	0	1.00857
+H	3.61574	0	0
+H	3.61574	0	3.86571
+H	3.61574	0	2.85714
+H	3.61574	0	6.72285
+H	3.61574	0	5.71429
+H	3.61574	2.85714	1.00857
+H	3.61574	2.85714	0
+H	3.61574	2.85714	3.86571
+H	3.61574	2.85714	2.85714
+H	3.61574	2.85714	6.72285
+H	3.61574	2.85714	5.71429
+H	3.61574	2.85714	8.57143
+H	3.61574	5.71429	1.00857
+H	3.61574	5.71429	0
+H	3.61574	5.71429	3.86571
+H	3.61574	5.71429	2.85714
+H	3.61574	5.71429	6.72285
+H	3.61574	5.71429	5.71429
+H	3.61574	5.71429	8.57143
+H	3.61574	8.57143	1.00857
+H	3.61574	8.57143	3.86571
+H	3.61574	8.57143	2.85714
+H	3.61574	8.57143	5.71429
+H	6.47289	0	1.00857
+H	6.47289	0	0
+H	6.47289	0	3.86571
+H	6.47289	0	2.85714
+H	6.47289	0	6.72285
+H	6.47289	0	5.71429
+H	6.47289	0	9.58
+H	6.47289	0	8.57143
+H	6.47289	2.85714	0
+H	6.47289	2.85714	6.72285
+H	6.47289	2.85714	9.58
+H	6.47289	2.85714	8.57143
+H	6.47289	5.71429	1.00857
+H	6.47289	5.71429	0
+H	6.47289	5.71429	6.72285
+H	6.47289	5.71429	5.71429
+H	6.47289	5.71429	9.58
+H	6.47289	5.71429	8.57143
+H	6.47289	8.57143	1.00857
+H	6.47289	8.57143	0
+H	6.47289	8.57143	3.86571
+H	6.47289	8.57143	2.85714
+H	6.47289	8.57143	6.72285
+H	6.47289	8.57143	5.71429
+H	9.33003	0	1.00857
+H	9.33003	0	0
+H	9.33003	0	3.86571
+H	9.33003	0	2.85714
+H	9.33003	0	6.72285
+H	9.33003	0	5.71429
+H	9.33003	0	8.57143
+H	9.33003	2.85714	0
+H	9.33003	2.85714	6.72285
+H	9.33003	2.85714	9.58
+H	9.33003	2.85714	8.57143
+H	9.33003	5.71429	0
+H	9.33003	5.71429	6.72285
+H	9.33003	5.71429	9.58
+H	9.33003	5.71429	8.57143
+H	9.33003	8.57143	1.00857
+H	9.33003	8.57143	0
+H	9.33003	8.57143	3.86571
+H	9.33003	8.57143	2.85714
+H	9.33003	8.57143	6.72285
+H	9.33003	8.57143	5.71429
+H	12.1872	0	1.00857
+H	12.1872	0	0
+H	12.1872	0	3.86571
+H	12.1872	0	2.85714
+H	12.1872	0	6.72285
+H	12.1872	0	5.71429
+H	12.1872	2.85714	1.00857
+H	12.1872	2.85714	0
+H	12.1872	2.85714	6.72285
+H	12.1872	2.85714	5.71429
+H	12.1872	5.71429	1.00857
+H	12.1872	5.71429	0
+H	12.1872	5.71429	3.86571
+H	12.1872	5.71429	2.85714
+H	12.1872	5.71429	6.72285
+H	12.1872	5.71429	5.71429
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
+O	2.85714	0	0.504284
+O	2.85714	0	3.36143
+O	2.85714	0	6.21857
+O	2.85714	2.85714	0.504284
+O	2.85714	2.85714	3.36143
+O	2.85714	2.85714	6.21857
+O	2.85714	5.71429	0.504284
+O	2.85714	5.71429	3.36143
+O	2.85714	5.71429	6.21857
+O	2.85714	8.57143	3.36143
+O	5.71429	0	0.504284
+O	5.71429	0	3.36143
+O	5.71429	0	6.21857
+O	5.71429	0	9.07571
+O	5.71429	2.85714	0.504284
+O	5.71429	2.85714	6.21857
+O	5.71429	2.85714	9.07571
+O	5.71429	5.71429	0.504284
+O	5.71429	5.71429	6.21857
+O	5.71429	5.71429	9.07571
+O	5.71429	8.57143	0.504284
+O	5.71429	8.57143	3.36143
+O	5.71429	8.57143	6.21857
+O	8.57143	0	0.504284
+O	8.57143	0	3.36143
+O	8.57143	0	6.21857
+O	8.57143	0	9.07571
+O	8.57143	2.85714	0.504284
+O	8.57143	2.85714	9.07571
+O	8.57143	5.71429	0.504284
+O	8.57143	5.71429	9.07571
+O	8.57143	8.57143	0.504284
+O	8.57143	8.57143	3.36143
+O	8.57143	8.57143	6.21857
+O	11.4286	0	0.504284
+O	11.4286	0	3.36143
+O	11.4286	0	6.21857
+O	11.4286	2.85714	0.504284
+O	11.4286	2.85714	6.21857
+O	11.4286	2.85714	9.07571
+O	11.4286	5.71429	0.504284
+O	11.4286	5.71429	6.21857
+O	11.4286	8.57143	3.36143