Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
@@ -0,0 +1,65 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### fill regular grid with surface
+
+AT_SETUP([Filling - Fill regular grid with surface and no atoms])
+AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
+
+file=solved_double_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+# check that specifying radius but selecting no atoms is wrong
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
+
+AT_CLEANUP
+
+AT_SETUP([Filling - Fill regular grid with surface])
+AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
+
+file=solved_double_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
+AT_CHECK([grep "118 out of 125 returned true from predicate" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Fill regular grid with surface with Undo])
+AT_KEYWORDS([filling fill-regular-grid undo])
+
+file=solved_double_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/double_sles-undo.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Fill regular grid with surface with Redo])
+AT_KEYWORDS([filling fill-regular-grid redo])
+
+file=solved_double_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
+++ tests/regression/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
@@ -0,0 +1,54 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### fill regular grid
+
+AT_SETUP([Filling - Fill regular grid])
+AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
+
+file=solved_single_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
+AT_CHECK([grep "222 out of 275 returned true from predicate" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Fill regular grid with Undo])
+AT_KEYWORDS([filling fill-regular-grid undo])
+
+file=solved_single_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/single_sles-undo.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Fill regular grid with Redo])
+AT_KEYWORDS([filling fill-regular-grid redo])
+
+file=solved_single_sles.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Filling/RegularGrid/testsuite-molecules-fill-regular-grid-with-surface.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-molecules-fill-regular-grid-with-surface.at	(revision a090e3bbbb29271069f6efbe5ae41f0b9d0dcd57)
+++ 	(revision )
@@ -1,65 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### fill regular grid with surface
-
-AT_SETUP([Filling - Fill regular grid with surface and no atoms])
-AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
-
-file=solved_double_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-# check that specifying radius but selecting no atoms is wrong
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 5, [stdout], [stderr])
-
-AT_CLEANUP
-
-AT_SETUP([Filling - Fill regular grid with surface])
-AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
-
-file=solved_double_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5], 0, [stdout], [stderr])
-AT_CHECK([grep "118 out of 125 returned true from predicate" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Filling - Fill regular grid with surface with Undo])
-AT_KEYWORDS([filling fill-regular-grid undo])
-
-file=solved_double_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/double_sles-undo.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Filling - Fill regular grid with surface with Redo])
-AT_KEYWORDS([filling fill-regular-grid redo])
-
-file=solved_double_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Filling/RegularGrid/testsuite-molecules-fill-regular-grid.at
===================================================================
--- tests/regression/Filling/RegularGrid/testsuite-molecules-fill-regular-grid.at	(revision a090e3bbbb29271069f6efbe5ae41f0b9d0dcd57)
+++ 	(revision )
@@ -1,54 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### fill regular grid
-
-AT_SETUP([Filling - Fill regular grid])
-AT_KEYWORDS([filling fill-regular-grid add-empty-boundary])
-
-file=solved_single_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1], 0, [stdout], [stderr])
-AT_CHECK([grep "222 out of 275 returned true from predicate" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Filling - Fill regular grid with Undo])
-AT_KEYWORDS([filling fill-regular-grid undo])
-
-file=solved_single_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/single_sles-undo.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Filling - Fill regular grid with Redo])
-AT_KEYWORDS([filling fill-regular-grid redo])
-
-file=solved_single_sles.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Filling/SphericalSurface/testsuite-fill-spherical-surface.at
===================================================================
--- tests/regression/Filling/SphericalSurface/testsuite-fill-spherical-surface.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
+++ tests/regression/Filling/SphericalSurface/testsuite-fill-spherical-surface.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
@@ -0,0 +1,57 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### create Micelle by filling spherical surface
+
+AT_SETUP([Molecules - Fill spherical surface])
+AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1"], 0, [stdout], [stderr])
+AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Fill spherical surface with Undo])
+AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system undo])
+
+file=tensid-undo.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1" --undo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Fill spherical surface with Redo])
+AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system redo])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Filling/SphericalSurface/testsuite-molecules-fill-spherical-surface.at
===================================================================
--- tests/regression/Filling/SphericalSurface/testsuite-molecules-fill-spherical-surface.at	(revision a090e3bbbb29271069f6efbe5ae41f0b9d0dcd57)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2008-2012 University of Bonn
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### create Micelle by filling spherical surface
-
-AT_SETUP([Molecules - Fill spherical surface])
-AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system])
-
-file=tensid.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1"], 0, [stdout], [stderr])
-AT_CHECK([grep "20 out of 20 returned true from predicate" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/tensid.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Molecules - Fill spherical surface with Undo])
-AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system undo])
-
-file=tensid-undo.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1" --undo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/$file], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Molecules - Fill spherical surface with Redo])
-AT_KEYWORDS([molecules filling fill-spherical-surface rotate-to-principal-axis-system redo])
-
-file=tensid.data
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.data $file], 0)
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/pre/tensid.potentials .], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --parse-tremolo-potentials tensid.potentials -i $file --select-all-molecules --rotate-to-principal-axis-system "0,0,-1" --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "0,0,0" --stretch "20.,20.,20." --select-shape-by-name "sphere1" --fill-surface --count 20 --min-distance 3.1 --Alignment-Axis "0,0,1" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/SphericalSurface/post/tensid.data], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Filling/testsuite-filling.at
===================================================================
--- tests/regression/Filling/testsuite-filling.at	(revision a090e3bbbb29271069f6efbe5ae41f0b9d0dcd57)
+++ tests/regression/Filling/testsuite-filling.at	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
@@ -31,8 +31,8 @@
 
 # create micelle by filling a spherical surface
-m4_include([Filling/SphericalSurface/testsuite-molecules-fill-spherical-surface.at])
+m4_include([Filling/SphericalSurface/testsuite-fill-spherical-surface.at])
 
 # fill regular grid
-m4_include([Filling/RegularGrid/testsuite-molecules-fill-regular-grid.at])
-m4_include([Filling/RegularGrid/testsuite-molecules-fill-regular-grid-with-surface.at])
+m4_include([Filling/RegularGrid/testsuite-fill-regular-grid.at])
+m4_include([Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at])
 
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision a090e3bbbb29271069f6efbe5ae41f0b9d0dcd57)
+++ tests/regression/Makefile.am	(revision 36f45c7566bcbd1eab7647b44689588ab0fb839c)
@@ -66,7 +66,7 @@
 	$(srcdir)/Filling/FillVoidWithMolecule/testsuite-fill-void-with-tenside-molecule.at \
 	$(srcdir)/Filling/FillWithMolecule/testsuite-fill-with-molecule.at \
-	$(srcdir)/Filling/RegularGrid/testsuite-molecules-fill-regular-grid.at \
-	$(srcdir)/Filling/RegularGrid/testsuite-molecules-fill-regular-grid-with-surface.at \
-	$(srcdir)/Filling/SphericalSurface/testsuite-molecules-fill-spherical-surface.at \
+	$(srcdir)/Filling/RegularGrid/testsuite-fill-regular-grid.at \
+	$(srcdir)/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at \
+	$(srcdir)/Filling/SphericalSurface/testsuite-fill-spherical-surface.at \
 	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Fragmentation/testsuite-fragmentation.at \