Index: tests/integration/Makefile.am
===================================================================
--- tests/integration/Makefile.am	(revision f82afd070492dec39364f940f0d742b4b0f7fedb)
+++ tests/integration/Makefile.am	(revision 39f22f46570c6ca5325ee66170bb003894ea03e9)
@@ -12,5 +12,6 @@
 TESTSCRIPTS += \
 	$(srcdir)/testsuite-integration.at \
-	$(srcdir)/testsuite-integration-mpqc-jobs.at
+	$(srcdir)/testsuite-integration-mpqc-jobs.at \
+	$(srcdir)/testsuite-integration-vmg-jobs.at
 endif
 
Index: tests/integration/testsuite-integration-vmg-jobs.at
===================================================================
--- tests/integration/testsuite-integration-vmg-jobs.at	(revision 39f22f46570c6ca5325ee66170bb003894ea03e9)
+++ tests/integration/testsuite-integration-vmg-jobs.at	(revision 39f22f46570c6ca5325ee66170bb003894ea03e9)
@@ -0,0 +1,84 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### test vmg jobs 
+
+# perform test with PoolWorkers using molecuilder_mpqc
+AT_SETUP([Integration - fragmentation plus automated fragment calculation with longrange])
+AT_KEYWORDS([fragmentation automation server poolworker molecuilder_mpqc longrange])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=2030
+CONTROLLERPORT=2031
+WORKERLISTENPORT=2032
+
+# start service in background
+${AUTOTEST_PATH}/molecuilder_server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill -s 0 $server_pid], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+../../molecuilder_mpqc +v 5 ++server 127.0.0.1:${WORKERPORT} ++hostname 127.0.0.1 ++listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill -s 0 $worker_pid], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# create jobs via molecuilder
+molfile="ethane.pdb"
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/integration/pre/ethane.pdb $molfile], 0)
+AT_CHECK([chmod +rw $molfile], 0)
+AT_CHECK([../../molecuilder \
+	-i $molfile \
+	--bound-in-box "10,0,10,0,0,10" \
+	--set-boundary-conditions Wrap Wrap Wrap \
+	--select-all-atoms \
+	--update-molecules \
+	--set-parser-parameters mpqc \
+		--parser-parameters "theory=CLHF;basis=3-21G;" \
+	--fragment-molecule BondFragment \
+		--order 2 \
+		--grid-level 3 \
+	--fragment-automation \
+		--server-address 127.0.0.1 \
+		--server-port ${CONTROLLERPORT} \
+		--DoLongrange 1 \
+	--verbose 3 \
+	--analyse-fragment-results results.dat], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# send removeall to server such that all workers shutdown
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command removeall], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# check that worker is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $worker_pid $server_pid])
+AT_CHECK([kill $worker_pid], 1, [ignore], [ignore], [kill $server_pid])
+
+# check number of done jobs
+AT_CHECK([fgrep "There are 3 fragments" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "There are 1 molecules to consider" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "8 atoms selected." stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([tail -n 2 BondFragment_LongRangeEnergy.dat | head -n 1 | awk 'function abs(v) {return v < 0.0 ? -v : v}{if (abs(($8+9.740433541)/-9.740433541) > 1e-6) exit 1}'], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([tail -n 1 BondFragment_LongRangeEnergy.dat | awk 'function abs(v) {return v < 0.0 ? -v : v}{if (abs($8+3.552713679e-15) > 1e-10) exit 1}'], 0, [ignore], [ignore], [kill $server_pid])
+
+# shutdown controller socket 
+AT_CHECK([${AUTOTEST_PATH}/molecuilder_controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/integration/testsuite-integration.at
===================================================================
--- tests/integration/testsuite-integration.at	(revision f82afd070492dec39364f940f0d742b4b0f7fedb)
+++ tests/integration/testsuite-integration.at	(revision 39f22f46570c6ca5325ee66170bb003894ea03e9)
@@ -18,4 +18,7 @@
 AT_BANNER([MoleCuilder - integration test])
 
-# check whether mpqc jobs work with controller and server
+# check whether mpqc jobs work with controller and server and worker
 m4_include([testsuite-integration-mpqc-jobs.at])
+
+# check whether vmg jobs work with controller and server and worker
+m4_include([testsuite-integration-vmg-jobs.at])