Index: src/UIElements/CommandLineUI/CommandLineParser.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/CommandLineParser.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -419,13 +419,13 @@
 {
   std::map <std::string, std::string> ShortFormToActionMap = getShortFormToActionMap();
-  DoLog(0) && (Log() << Verbose(0) << "Scanning command line arguments and recognizing Actions." << std::endl);
+  LOG(0, "Scanning command line arguments and recognizing Actions.");
   // go through all arguments
   for (int i=1;i<argc;i++) {
-    DoLog(2) && (Log() << Verbose(2) << "Checking on " << argv[i] << std::endl);
+    LOG(2, "Checking on " << argv[i]);
     // check whether they
     if (argv[i][0] == '-') { // .. begin with -
-      DoLog(2) && (Log() << Verbose(2) << "Possible argument: " << argv[i] << endl);
+      LOG(2, "Possible argument: " << argv[i]);
       if (argv[i][1] == '-') { // .. or --
-        DoLog(1) && (Log() << Verbose(1) << "Putting " << argv[i] << " into the sequence." << endl);
+        LOG(1, "Putting " << argv[i] << " into the sequence.");
         SequenceOfActions.push_back(&(argv[i][2]));
         //  .. and check that next letter is not numeric, if so insert
@@ -433,5 +433,5 @@
         std::map <std::string, std::string>::iterator iter = ShortFormToActionMap.find(&(argv[i][1]));
         if (iter != ShortFormToActionMap.end()) {
-          DoLog(1) && (Log() << Verbose(1) << "Putting " << iter->second << " for " << iter->first << " into the sequence." << endl);
+          LOG(1, "Putting " << iter->second << " for " << iter->first << " into the sequence.");
           SequenceOfActions.push_back(iter->second);
         }
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -53,15 +53,11 @@
 
   // go through all possible actions
-  DoLog(0) && (Log() << Verbose(0) << "Calling Actions ... " << std::endl);
+  LOG(0, "Calling Actions ... ");
   for (std::list<std::string>::iterator CommandRunner = CommandLineParser::getInstance().SequenceOfActions.begin(); CommandRunner != CommandLineParser::getInstance().SequenceOfActions.end(); ++CommandRunner) {
     if (ActionRegistry::getInstance().isActionPresentByName(*CommandRunner)) {
-//      DoLog(1) && (Log() << Verbose(1)
-//          << "Checking presence of " << *CommandRunner << ": "
-//          << "calling " << *CommandRunner << endl);
+//      LOG1, "INFO: Checking presence of " << *CommandRunner << ": " << "calling " << *CommandRunner);
       ActionRegistry::getInstance().getActionByName(*CommandRunner)->call();
     } else {
-//      DoLog(1) && (Log() << Verbose(1)
-//          << "Checking presence of " << *CommandRunner << ": "
-//          << "absent." << endl);
+//      LOG(1, "INFO: Checking presence of " << *CommandRunner << ": " << "absent.");
     }
   }
Index: src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/AtomCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -46,5 +46,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing atom for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing atom for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/AtomsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -45,5 +45,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing atoms for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing atoms for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/BooleanCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing boolean for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing boolean for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -41,5 +41,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing symmetric box matrix for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing symmetric box matrix for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/DoubleCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -37,5 +37,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing double for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing double for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/DoublesCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing doubles for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing doubles for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/ElementCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -44,5 +44,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing element for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing element for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/ElementsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -47,5 +47,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing elements for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing elements for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/FileCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing string for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing string for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/IntCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integer for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing integer for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/IntsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integers for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing integers for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/MoleculeCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -41,5 +41,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing molecule for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing molecule for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/MoleculesCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -46,5 +46,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing molecules for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing molecules for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/RandomNumberDistribution_ParametersCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -41,10 +41,9 @@
     std::string stringtext = CommandLineParser::getInstance().vm[getTitle()].as<std::string>();
     std::stringstream text(stringtext);
-//    DoLog(1) && (Log() << Verbose(1) << "Parameter set from CommandLine is '"
-//        << text.str() << "'" << std::endl);
+//    LOG(1, "INFO: Parameter set from CommandLine is '" << text.str() << "'");
     text >> tmp;
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing RandomNumberDistribution_Parameters for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing RandomNumberDistribution_Parameters for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/StringCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing string for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing string for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/StringsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing strings for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing strings for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integer for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing integer for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/UnsignedIntsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -36,5 +36,5 @@
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing integers for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing integers for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/VectorCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -42,10 +42,10 @@
     tmp = temp.toVector();
     if ((check) && (!World::getInstance().getDomain().isInside(tmp))) {
-      DoeLog(1) && (eLog() << Verbose(1) << "Vector " << tmp << " would be outside of box domain." << endl);
+      ELOG(1, "Vector " << tmp << " would be outside of box domain.");
       return false;
     }
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing vector for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing vector for " << getTitle() << ".");
     return false;
   }
Index: src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision bbff92c91e480a376335ee7ed85901c02fc38965)
+++ src/UIElements/CommandLineUI/Query/VectorsCommandLineQuery.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -45,9 +45,9 @@
         tmp.push_back(temp);
       else
-        DoeLog(1) && (eLog() << Verbose(1) << "Vector " << temp << " would be outside of box domain." << endl);
+        ELOG(1, "Vector " << temp << " would be outside of box domain.");
     }
     return true;
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "CommandLineUI parsing error: Missing vectors for " << getTitle() << "." << endl);
+    ELOG(1, "CommandLineUI parsing error: Missing vectors for " << getTitle() << ".");
     return false;
   }