Index: src/unittests/ActOnAllUnitTest.cpp
===================================================================
--- src/unittests/ActOnAllUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/ActOnAllUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -46,5 +46,4 @@
   // Ref was copy constructed, hence has to be cleaned, too!
   Ref.EmptyList();
-  MemoryUsageObserver::purgeInstance();
 };
 
@@ -77,6 +76,6 @@
 
   // scaling by three values
-  double *factors = Malloc<double>(NDIM, "ActOnAllTest::ScaleTest - factors");
-  double *inverses = Malloc<double>(NDIM, "ActOnAllTest::ScaleTest - inverses");
+  double *factors = new double[NDIM];
+  double *inverses = new double[NDIM];
   for (int i=0;i<NDIM;++i) {
     factors[i] = 2.;
@@ -88,6 +87,6 @@
   VL.ActOnAll<Vector,void,const double*>(&Vector::ScaleAll, inverses );
   CPPUNIT_ASSERT_EQUAL( VL == Ref , true );
-  Free(factors);
-  Free(inverses);
+  delete[](factors);
+  delete[](inverses);
 };
 
Index: src/unittests/AnalysisCorrelationToPointUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -91,5 +91,4 @@
   delete(point);
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
 };
Index: src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp
===================================================================
--- src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -125,5 +125,4 @@
   delete(LC);
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
 };
Index: src/unittests/AnalysisPairCorrelationUnitTest.cpp
===================================================================
--- src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -90,5 +90,4 @@
   // note that all the atoms are cleaned by TestMolecule
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
   errorLogger::purgeInstance();
Index: src/unittests/CountBondsUnitTest.cpp
===================================================================
--- src/unittests/CountBondsUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/CountBondsUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -117,5 +117,4 @@
 
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
 };
 
Index: src/unittests/LinkedCellUnitTest.cpp
===================================================================
--- src/unittests/LinkedCellUnitTest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/LinkedCellUnitTest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -70,5 +70,4 @@
   delete(LC);
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
 };
 
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/Makefile.am	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -182,8 +182,8 @@
 manipulateAtomsTest_LDADD = ${ALLLIBS}
 
-MemoryAllocatorUnitTest_SOURCES = UnitTestMain.cpp memoryallocatorunittest.cpp memoryallocatorunittest.hpp 
+MemoryAllocatorUnitTest_SOURCES = UnitTestMain.cpp ../memoryallocator.hpp ../memoryusageobserver.cpp ../memoryusageobserver.hpp memoryallocatorunittest.cpp memoryallocatorunittest.hpp 
 MemoryAllocatorUnitTest_LDADD = ${ALLLIBS}
 
-MemoryUsageObserverUnitTest_SOURCES = UnitTestMain.cpp memoryusageobserverunittest.cpp memoryusageobserverunittest.hpp 
+MemoryUsageObserverUnitTest_SOURCES = UnitTestMain.cpp ../memoryallocator.hpp ../memoryusageobserver.cpp ../memoryusageobserver.hpp memoryusageobserverunittest.cpp memoryusageobserverunittest.hpp 
 MemoryUsageObserverUnitTest_LDADD = ${ALLLIBS}
 
@@ -218,5 +218,5 @@
 Tesselation_InOutsideUnitTest_LDADD = ${ALLLIBS}
 
-TestRunner_SOURCES = TestRunnerMain.cpp $(TESTSOURCES) $(TESTHEADERS)
+TestRunner_SOURCES = TestRunnerMain.cpp ../memoryallocator.hpp ../memoryusageobserver.cpp ../memoryusageobserver.hpp $(TESTSOURCES) $(TESTHEADERS)
 TestRunner_LDADD = ${ALLLIBS}
 
Index: src/unittests/bondgraphunittest.cpp
===================================================================
--- src/unittests/bondgraphunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/bondgraphunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -111,5 +111,4 @@
   // are all cleaned when the world is destroyed
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
 };
Index: src/unittests/listofbondsunittest.cpp
===================================================================
--- src/unittests/listofbondsunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/listofbondsunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -78,5 +78,4 @@
   // are all cleaned when the world is destroyed
   World::purgeInstance();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
 };
Index: src/unittests/memoryallocatorunittest.cpp
===================================================================
--- src/unittests/memoryallocatorunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/memoryallocatorunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -12,4 +12,5 @@
 #include "memoryallocator.hpp"
 #include "memoryallocatorunittest.hpp"
+#include "memoryusageobserver.hpp"
 #include "helpers.hpp"
 #include "log.hpp"
Index: src/unittests/stackclassunittest.cpp
===================================================================
--- src/unittests/stackclassunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/stackclassunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -37,5 +37,4 @@
   Stack->ClearStack();
   delete(Stack);
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
 };
Index: src/unittests/tesselation_boundarytriangleunittest.cpp
===================================================================
--- src/unittests/tesselation_boundarytriangleunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/tesselation_boundarytriangleunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -70,5 +70,4 @@
     delete tesselpoints[i];
   }
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
   errorLogger::purgeInstance();
Index: src/unittests/tesselation_insideoutsideunittest.cpp
===================================================================
--- src/unittests/tesselation_insideoutsideunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/tesselation_insideoutsideunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -134,5 +134,4 @@
   }
   Corners.clear();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
   errorLogger::purgeInstance();
Index: src/unittests/tesselationunittest.cpp
===================================================================
--- src/unittests/tesselationunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/tesselationunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -106,5 +106,4 @@
   }
   Corners.clear();
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
   errorLogger::purgeInstance();
Index: src/unittests/vectorunittest.cpp
===================================================================
--- src/unittests/vectorunittest.cpp	(revision 8de375a10c8076bafe565e2807dd494420ff8f2f)
+++ src/unittests/vectorunittest.cpp	(revision 42af9ec72d1b004ed85b6db33bdcaeeecd94a23a)
@@ -49,5 +49,4 @@
 void VectorTest::tearDown()
 {
-  MemoryUsageObserver::purgeInstance();
   logger::purgeInstance();
   errorLogger::purgeInstance();