Index: src/Actions/WorldAction/InputAction.cpp
===================================================================
--- src/Actions/WorldAction/InputAction.cpp	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
+++ src/Actions/WorldAction/InputAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
@@ -49,5 +49,5 @@
   getParametersfromValueStorage();
 
-  DoLog(0) && (Log() << Verbose(0) << "Config file given " << params.filename << "." << endl);
+  LOG(0, "Config file given " << params.filename << ".");
   // using the filename as prefix for all parsers
   std::string FilenameSuffix;
@@ -62,8 +62,8 @@
     FilenamePrefix = params.filename.stem();
 #endif
-    DoLog(1) && (Log() << Verbose(1) << "Setting config file name prefix to " << FilenamePrefix << "." << endl);
+    LOG(1, "Setting config file name prefix to " << FilenamePrefix << ".");
     parsers.SetOutputPrefixForAll(FilenamePrefix);
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "Input file does not have a suffix, cannot recognize format." << endl);
+    ELOG(1, "Input file does not have a suffix, cannot recognize format.");
     return Action::failure;
   }
@@ -71,10 +71,10 @@
   // parsing file if present
   if (!boost::filesystem::exists(params.filename)) {
-    DoLog(1) && (Log() << Verbose(1) << "Specified config file " << params.filename << " not found." << endl);
+    LOG(1, "Specified config file " << params.filename << " not found.");
     // DONT FAIL: it's just empty and we use the name. // return Action::failure;
     // nonetheless, add to output formats
     parsers.setOutputFormat( parsers.getTypeFromSuffix(FilenameSuffix) );
   } else {
-    DoLog(1) && (Log() << Verbose(1) << "Specified config file found, parsing ... ");
+    LOG(1, "Specified config file found, parsing ... ");
 
     // parse the file
@@ -88,5 +88,5 @@
     iter--;
     (*iter)->SetNameFromFilename(FilenamePrefix.c_str());
-    DoLog(0) && (Log() << Verbose(0) << "Chemical formula is " << (*iter)->getFormula() << std::endl);
+    LOG(0, "Chemical formula is " << (*iter)->getFormula());
   }
   return Action::success;
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
+++ src/Actions/WorldAction/OutputAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
@@ -42,5 +42,5 @@
   getParametersfromValueStorage();
 
-  DoLog(1) && (Log() << Verbose(1) << "Storing world to file " << params.filename << "." << endl);
+  LOG(1, "Storing world to file " << params.filename << ".");
 
   // extract suffix
@@ -57,5 +57,5 @@
 #endif
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "Output file does not have a suffix, cannot recognize format." << endl);
+    ELOG(1, "Output file does not have a suffix, cannot recognize format.");
     return Action::failure;
   }
@@ -68,5 +68,5 @@
     FormatParserStorage::getInstance().saveWorld(output, FilenameSuffix);
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "Could not open file " << params.filename << "." << endl);
+    ELOG(1, "Could not open file " << params.filename << ".");
   }
   output.close();
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
@@ -129,8 +129,8 @@
   std::vector<molecule *> AllMolecules;
   if (mol != NULL) {
-    DoLog(0) && (Log() << Verbose(0) << "Using molecule " << mol->name << "." << endl);
+    LOG(0, "Using molecule " << mol->name << ".");
     AllMolecules = World::getInstance().getAllMolecules(MoleculeByPtr(mol));
   } else {
-    DoLog(0) && (Log() << Verbose(0) << "Using all molecules." << endl);
+    LOG(0, "Using all molecules.");
     AllMolecules = World::getInstance().getAllMolecules();
   }
Index: src/Actions/WorldAction/SetDefaultNameAction.cpp
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
+++ src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
@@ -44,5 +44,5 @@
 
   World::getInstance().setDefaultName(params.newname);
-  DoLog(0) && (Log() << Verbose(0) << "Default name of new molecules set to " << World::getInstance().getDefaultName() << "." << endl);
+  LOG(0, "Default name of new molecules set to " << World::getInstance().getDefaultName() << ".");
   return Action::state_ptr(UndoState);
 }
@@ -52,5 +52,5 @@
 
   World::getInstance().setDefaultName(state->lastname);
-  DoLog(0) && (Log() << Verbose(0) << "Default name of new molecules set to " << World::getInstance().getDefaultName() << "." << endl);
+  LOG(0, "Default name of new molecules set to " << World::getInstance().getDefaultName() << ".");
 
   return Action::state_ptr(_state);
@@ -61,5 +61,5 @@
 
   World::getInstance().setDefaultName(state->params.newname);
-  DoLog(0) && (Log() << Verbose(0) << "Default name of new molecules set to " << World::getInstance().getDefaultName() << "." << endl);
+  LOG(0, "Default name of new molecules set to " << World::getInstance().getDefaultName() << ".");
 
   return Action::state_ptr(_state);
Index: src/Actions/WorldAction/SetWorldTimeAction.cpp
===================================================================
--- src/Actions/WorldAction/SetWorldTimeAction.cpp	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
+++ src/Actions/WorldAction/SetWorldTimeAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
@@ -45,5 +45,5 @@
 
   WorldTime::setTime(params.newtime);
-  DoLog(0) && (Log() << Verbose(0) << "Current time step is now: " << WorldTime::getTime() << "." << endl);
+  LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
   return Action::state_ptr(UndoState);
 }
@@ -53,5 +53,5 @@
 
   WorldTime::setTime(state->oldtime);
-  DoLog(0) && (Log() << Verbose(0) << "Current time step is now again: " << WorldTime::getTime() << "." << endl);
+  LOG(0, "Current time step is now again: " << WorldTime::getTime() << ".");
 
   return Action::state_ptr(_state);
@@ -62,5 +62,5 @@
 
   WorldTime::setTime(state->params.newtime);
-  DoLog(0) && (Log() << Verbose(0) << "Current time step is now: " << WorldTime::getTime() << "." << endl);
+  LOG(0, "Current time step is now: " << WorldTime::getTime() << ".");
 
   return Action::state_ptr(_state);